Commit b5d5625c authored by Rui Chen's avatar Rui Chen

[Documentation] Update the dcoumentations

parent bb229395
Pipeline #2122 failed with stage
in 798 minutes and 11 seconds
# The DaCapo Benchmark Suite
Last updated 2018-01-13
Last updated 2018-04-06
This benchmark suite is intend as a tool for the research community.
It consists of a set of open source, real world applications with
......@@ -29,9 +29,9 @@ The easiest way to obtain the benchmark suite is to download the pre-built jar f
If, however, you want to build from source read on...
The suite is built using ant 1.9 (1.10 and later will fail for many of the benchmarks). You will need the following tools:
The suite is built using ant 1.10. You will need the following tools:
* *[ant 1.9](http://ant.apache.org)* You need to install this yourself if you don't already have it.
* *[ant 1.10](http://ant.apache.org)* You need to install this yourself if you don't already have it.
* *[javacc](http://javacc.dev.java.net/)* Included in our tools directory.
......@@ -41,12 +41,12 @@ The suite is built using ant 1.9 (1.10 and later will fail for many of the bench
* *[svn](http://subversion.apache.org)*
* *[hg](https://www.mercurial-scm.org)*
**NOTE**
1. PMD 6.1.0 requires JDK 9 for building; but it can run with JDK 7+
2. JDK 7 is required by Geronimo 3.0.0 to run DayTrader
1.JDK 8 is needed to build the whole suite.
2.Building DayTrader and PMD using JDK 8 also requires JDK 7 to be installed, and jdk7home properly set. (see 2 below)
**IMPORTANT:** before trying to build the suite:
......@@ -54,7 +54,7 @@ The suite is built using ant 1.9 (1.10 and later will fail for many of the bench
2. Copy `default.properties` to `local.properties` and edit it for your environment.
* Specifically, you must set `jdk9home` to point to a Java 9 installation.
* Specifically, you must set `jdk7home` to point to a Java 7 installation.
For more information, run `ant -p` in the benchmarks directory.
......
- Update benchmark versions
avrora - from 20091224 to 20131011
batik - from 1.7 to 1.9
eclipse - from 3.5.1 to 4.7.2
fop - from 0.95 to 2.2
h2 - from 1.2.123 to 1.4.196
jython - from 2.5.1 to 2.7.1
luindex - from 2.4 to 7.1
lusearch - from 2.4 to 7.1
pmd - from 4.2.5 to 5.7.0*
tomcat - from 6 to 9
daytrader - from 2.1.7 to 3.0.0
xalan - from 2.7.1 to 2.7.2
- Update benchmark versions
antlr - from 2.4.2 to 2.4.7
......@@ -36,4 +49,4 @@ Release 2006-10-MR2
- Added "-ignoreValidation" command line switch.
- Changed jikesrvm stubs so that MMTk callback works with recent
JikesRVM releases (and hopefuly now with future JVMs that use MMTk).
\ No newline at end of file
JikesRVM releases (and hopefuly now with future JVMs that use MMTk).
......@@ -17,12 +17,12 @@
The DaCapo Benchmark Suite
DEPENDENCIES:
- javacc (http://javacc.dev.java.net/)
- maven (http://maven.apache.org/)
- javacc(included) (http://javacc.dev.java.net/)
- maven(included) (http://maven.apache.org/)
- ant (http://ant.apache.org)
- csv (http:/www.nongnu.org/cvs/)
- cvs (http:/www.nongnu.org/cvs/)
- svn (http://subversion.apache.org)
- hg (https://www.mercurial-scm.org)
For convinience, javacc and maven are included in the tools directory:
${toolsdir}
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment